Update Profile
curl --request PUT \
--url https://api.lendflow.com/api/profiles/{profile_type}/{profile_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"client_tracking_token": "b",
"funding_advisor_id": null,
"underwriter_id": null,
"client_underwriter_id": null,
"client_funding_advisor_id": null,
"client_analyst_id": null,
"analyst_id": null
}
'import requests
url = "https://api.lendflow.com/api/profiles/{profile_type}/{profile_id}"
payload = {
"client_tracking_token": "b",
"funding_advisor_id": None,
"underwriter_id": None,
"client_underwriter_id": None,
"client_funding_advisor_id": None,
"client_analyst_id": None,
"analyst_id": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
client_tracking_token: 'b',
funding_advisor_id: null,
underwriter_id: null,
client_underwriter_id: null,
client_funding_advisor_id: null,
client_analyst_id: null,
analyst_id: null
})
};
fetch('https://api.lendflow.com/api/profiles/{profile_type}/{profile_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": null,
"client_tracking_token": null,
"type": "business",
"name": "",
"is_for_client": false
}
}Entity Profiles
Update Profile
Updates an existing profile with the supplied details and returns the full profile.
PUT
/
api
/
profiles
/
{profile_type}
/
{profile_id}
Update Profile
Authorizations
You can register for a new Lendflow API key on our client portal in less than 60 seconds. The Bearer Token needs to be included in all API requests made to the API Service in the following form:
Authorization: Bearer [YOUR_TOKEN]
You must replace [YOUR_TOKEN] with your personal API key.
Body
application/json
Must not be greater than 50 characters.
Example:
"b"
Must match an existing stored value.
Example:
null
Must match an existing stored value.
Example:
null
Must match an existing stored value.
Example:
null
Must match an existing stored value.
Example:
null
Must match an existing stored value.
Example:
null
Must match an existing stored value.
Example:
null
Response
200 - application/json
Show child attributes
Show child attributes
Was this page helpful?